document.addEventListener('DOMContentLoaded', function() {
  const ctx = document.getElementById('incomeChart').getContext('2d');
  const incomeChart = new Chart(ctx, {
    type: 'line',
    data: {
      labels: ['Day 1', 'Day 2', 'Day 3', 'Day 4', 'Day 5', 'Day 6', 'Day 7'],
      datasets: [{
        label: 'Income',
        data: [50, 100, 75, 125, 150, 200, 175],
        borderColor: '#4f46e5',
        borderWidth: 2,
        fill: false
      }]
    },
    options: {
      scales: {
        y: {
          beginAtZero: true
        }
      }
    }
  });

  document.querySelector('.add-income-btn').addEventListener('click', function() {
    alert('Add Income Entry functionality will be implemented soon.');
  });

  document.querySelector('.add-category-form').addEventListener('submit', function(e) {
    e.preventDefault();
    const categoryName = this.querySelector('input').value;
    if (categoryName) {
      const categoryItem = document.createElement('div');
      categoryItem.className = 'category-item';
      categoryItem.innerHTML = `
        <span>${categoryName}</span>
        <button class="edit-btn">Edit</button>
        <button class="delete-btn">Delete</button>
      `;
      document.querySelector('.category-list').appendChild(categoryItem);
      this.querySelector('input').value = '';
    }
  });

  document.querySelector('.category-list').addEventListener('click', function(e) {
    if (e.target.classList.contains('delete-btn')) {
      e.target.closest('.category-item').remove();
    } else if (e.target.classList.contains('edit-btn')) {
      const categoryItem = e.target.closest('.category-item');
      const categoryName = categoryItem.querySelector('span').textContent;
      const newName = prompt('Edit category name:', categoryName);
      if (newName) {
        categoryItem.querySelector('span').textContent = newName;
      }
    }
  });
});